import Component  from '../component.js'

export default class CoUxOverlay extends Component {
    constructor(parent) {
      let selector = 'div[@data-e2e = "ux-overlay"]';
      super(parent, selector);
    }
    async isActive() {
      let cl = await (await this.element()).getAttribute('class');
      if (cl.includes('ux-overlay--is-active')) {
         return true;
      } else {
         return false;
      }
    }
}

